---
search:
  tags:
    - Training
    - DELETE
seo:
  description: >-
    Permanently deletes a mesocycle and its sets and feedback. Workouts its…
    Reference for the DELETE /api/training/mesocycles/{id} endpoint in the skcal
    API.
sidebar:
  label: Delete a mesocycle
  badge: DELETE
title: Delete a mesocycle
type: openapi-operation
---
Permanently deletes a mesocycle and its sets and feedback. Workouts its completed sessions logged stay in the workout history.

`DELETE /api/training/mesocycles/{id}`

**Responses**

- `200` — The mesocycle was deleted.
- `404` — No matching resource owned by the caller.

Response example, 200:

```json
{
  "ok": true
}
```
